## python-volvooncall 0.10.4

=== Makefile ===
.PHONY: default format white black lint test check clean pypireg pypi release docker-build docker-run-mqtt docker-run-mqtt-term

default: check

format: white

white: black

black:
	white . voc

lint: requirements.txt setup.py
	tox -e lint
	tox -e pytype

test: requirements.txt setup.py
	tox

check: lint test

clean:
	rm -f *.pyc
	rm -rf .tox
	rm -rf *.egg-info
	rm -rf __pycache__
	rm -f pip-selfcheck.json
	rm -rf pytype_output

pypireg:
	python setup.py register -r pypi

pypi:
	rm -f dist/*.tar.gz
	python3 setup.py sdist
	twine upload dist/*.tar.gz

release:
	git diff-index --quiet HEAD -- && make check && bumpversion patch && git push --tags && git push && make pypi

IMAGE=molobrakos/volvooncall

docker-build:
	docker build -t $(IMAGE) .

docker-run-mqtt:
	docker run \
                --name=volvooncall \
		--restart=always \
		--detach \
		--net=bridge \
		-v $(HOME)/.config/voc.conf:/app/.config/voc.conf:ro \
		-v $(HOME)/.config/mosquitto_pub:/app/.config/mosquitto_pub:ro \
		$(IMAGE) -vv

docker-run-mqtt-term:
	docker run \
                -ti --rm \
                --name=volvooncall \
		--net=bridge \
		-v $(HOME)/.config/voc.conf:/app/.config/voc.conf:ro \
		-v $(HOME)/.config/mosquitto_pub:/app/.config/mosquitto_pub:ro \
		$(IMAGE) -vv

=== requirements.txt ===
aiohttp<4.0
amqtt>=0.10.0,<0.11.0
certifi
geopy>=1.14.0
docopt

=== debian/changelog ===
python-volvooncall (0.10.4-2) unstable; urgency=medium

  * Run tests in test_main.py.
  * The asynctest library is unmaintained, patch tests to use unittest.mock
    instead.
  * Add python3-pytest-asyncio as build dependency.

 -- Edward Betts <edward@4angle.com>  Mon, 15 Dec 2025 09:22:32 +0000

python-volvooncall (0.10.4-1) unstable; urgency=medium

  * Initial release. (Closes: #1120618)

 -- Edward Betts <edward@4angle.com>  Thu, 13 Nov 2025 12:17:08 +0000

=== debian/control ===
Source: python-volvooncall
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 amqtt <!nocheck>,
 python3-aiohttp <!nocheck>,
 python3-certifi <!nocheck>,
 python3-docopt <!nocheck>,
 python3-geopy <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://github.com/molobrakos/volvooncall
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-volvooncall
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-volvooncall.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-volvooncall
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library for communicating with Volvo Cars cloud service
 This library provides access to the Volvo Cars cloud service (formerly known
 as Volvo On Call), allowing retrieval and monitoring of vehicle status and
 statistics for Volvo vehicles with connected services. Supported features
 include fetching data on vehicle position, door and window status, lock state,
 heater activation, odometer and trip meters, fuel level, distance to empty,
 battery charge information for electric or hybrid vehicles, fluid levels, tyre
 pressure, service warnings, and engine status. The library also supports
 reporting information via MQTT for integration with home automation systems.
 Communication is performed with the Volvo Cars online endpoints using
 authenticated requests.
 .
 Multiple vehicles can be managed by specifying their unique VINs or
 registration numbers, with region-specific service endpoints also supported.
 The library is suitable for periodic polling to collect updates on vehicle
 state, which can be further processed or visualised as needed. Information is
 accessed from the Volvo Cars App cloud infrastructure.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=test_main.py
%:
	dh $@ --buildsystem=pybuild
